<!-- This file was generated by pybib2web, version 0.7.dev0: https://gitlab.com/sosy-lab/software/pybib2web/ -->
<input type="checkbox" id="show-compact">
<label for="show-compact">Compact view</label>
<h2 id="publications">Publications of M. Erkan Keremoglu</h2>
<nav class="publication-navigation">(<a href="../All/index.html">Show all</a> &ndash; <a href="../index.html">Index</a>)</nav>

<a href="../Category/conferences.html"><h3>Articles in conference or workshop proceedings</h3></a>

<ol class="list-publications" start="1">

<li class="bibentry" id="FSE12">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><span class="firstname">Thomas A.</span> <span class="lastname">Henzinger</span></span>,
    <span class="author"><a href="../Author/KEREMOGLU-ME.html"><span class="firstname">M. Erkan</span> <span class="lastname">Keremoglu</span></a></span>, and
    <span class="author"><a href="../Author/WENDLER-P.html"><span class="firstname">Philipp</span> <span class="lastname">Wendler</span></a></span>.</span>
    <span class="publication-title">Conditional Model Checking: A Technique to Pass Information between Verifiers.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">Tevfik</span> <span class="lastname">Bultan</span></span> and
      <span class="editor"><span class="firstname">Martin</span> <span class="lastname">Robillard</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 20th ACM SIGSOFT International Symposium on the
        Foundations of Software Engineering (FSE 2012, Cary, NC, November 10-17)</em>,
      <span class="publication-date">  <span class="year">2012</span></span>.
    </span>
    <span class="publisher">ACM.</span>
    <a class="doi" href="https://doi.org/10.1145/2393596.2393664" data-doi="10.1145/2393596.2393664" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1145/2393596.2393664</a>
  </span>
  <a class="bibentry-link" href="#FSE12"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1145/2393596.2393664" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2012-FSE.Conditional_Model_Checking.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="https://www.sosy-lab.org/research/cpa-cmc/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        Software model checking, as an undecidable problem,
        has three possible outcomes: (1) the program
        satisfies the specification, (2) the program does
        not satisfy the specification, and (3) the model
        checker fails.  The third outcome usually manifests
        itself in a space-out, time-out, or one component of
        the verification tool giving up; in all of these
        failing cases, significant computation is performed
        by the verification tool before the failure, but no
        result is reported.  We propose to reformulate the
        model-checking problem as follows, in order to have
        the verification tool report a summary of the
        performed work even in case of failure: given a
        program and a specification, the model checker
        returns a condition P -usually a state
        predicate- such that the program satisfies the
        specification under the condition P -that is, as
        long as the program does not leave the states in
        which P is satisfied.  In our experiments, we
        investigated as one major application of conditional
        model checking the sequential combination of model
        checkers with information passing.  We give the
        condition that one model checker produces, as input
        to a second conditional model checker, such that the
        verification problem for the second is restricted to
        the part of the state space that is not covered by
        the condition, i.e., the second model checker works
        on the problems that the first model checker could
        not solve.  Our experiments demonstrate that
        repeated application of conditional model checkers,
        passing information from one model checker to the
        next, can significantly improve the verification
        results and performance, i.e., we can now verify
        programs that we could not verify before.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{FSE12,
        author = {Dirk Beyer and Thomas A. Henzinger and M. Erkan Keremoglu and Philipp Wendler},
        title = {Conditional Model Checking: {A} Technique to Pass Information between Verifiers},
        booktitle = {Proceedings of the 20th ACM SIGSOFT International Symposium on the Foundations of Software Engineering (FSE~2012, Cary, NC, November 10-17)},
        editor = {Tevfik Bultan and Martin Robillard},
        pages = {},
        year = {2012},
        publisher = {ACM},
        isbn = {978-1-4503-1614-9},
        doi = {10.1145/2393596.2393664},
        url = {https://www.sosy-lab.org/research/cpa-cmc/},
        pdf = {https://www.sosy-lab.org/research/pub/2012-FSE.Conditional_Model_Checking.pdf},
        abstract = {Software model checking, as an undecidable problem, has three possible outcomes: (1) the program satisfies the specification, (2) the program does not satisfy the specification, and (3) the model checker fails.  The third outcome usually manifests itself in a space-out, time-out, or one component of the verification tool giving up; in all of these failing cases, significant computation is performed by the verification tool before the failure, but no result is reported.  We propose to reformulate the model-checking problem as follows, in order to have the verification tool report a summary of the performed work even in case of failure: given a program and a specification, the model checker returns a condition P ---usually a state predicate--- such that the program satisfies the specification under the condition P ---that is, as long as the program does not leave the states in which P is satisfied.  In our experiments, we investigated as one major application of conditional model checking the sequential combination of model checkers with information passing.  We give the condition that one model checker produces, as input to a second conditional model checker, such that the verification problem for the second is restricted to the part of the state space that is not covered by the condition, i.e., the second model checker works on the problems that the first model checker could not solve.  Our experiments demonstrate that repeated application of conditional model checkers, passing information from one model checker to the next, can significantly improve the verification results and performance, i.e., we can now verify programs that we could not verify before.},
        keyword = {CPAchecker,Software Model Checking},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="CAV11">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span> and
    <span class="author"><a href="../Author/KEREMOGLU-ME.html"><span class="firstname">M. Erkan</span> <span class="lastname">Keremoglu</span></a></span>.</span>
    <span class="publication-title">CPAchecker: A Tool for Configurable Software Verification.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">G.</span> <span class="lastname">Gopalakrishnan</span></span> and
      <span class="editor"><span class="firstname">S.</span> <span class="lastname">Qadeer</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 23rd International Conference on
        Computer Aided Verification (CAV 2011, Snowbird, UT, July 14-20)</em>,
      <span class="series">LNCS 6806</span>,
      <span class="pages">pages 184-190</span>,
      <span class="publication-date">  <span class="year">2011</span></span>.
    </span>
    <span class="publisher">Springer-Verlag, Heidelberg.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-642-22110-1_16" data-doi="10.1007/978-3-642-22110-1_16" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-642-22110-1_16</a>
  </span>
  <a class="bibentry-link" href="#CAV11"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-642-22110-1_16" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://link.springer.com/content/pdf/10.1007/978-3-642-22110-1_16.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="https://cpachecker.sosy-lab.org"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        Configurable software verification is a recent
        concept for expressing different program analysis
        and model checking approaches in one single
        formalism.  This paper presents CPAchecker, a tool
        and framework that aims at easy integration of new
        verification components.  Every abstract domain,
        together with the corresponding operations,
        implements the interface of configurable program
        analysis (CPA).  The main algorithm is configurable
        to perform a reachability analysis on arbitrary
        combinations of existing CPAs.  In software
        verification, it takes a considerable amount of
        effort to convert a verification idea into actual
        experimental results - we aim at accelerating this
        process.  We hope that researchers find it
        convenient and productive to implement new
        verification ideas and algorithms using this
        flexible and easy-to-extend platform, and that it
        advances the field by making it easier to perform
        practical experiments.  The tool is implemented in
        Java and runs as command-line tool or as Eclipse
        plug-in.  CPAchecker implements CPAs for several
        abstract domains.  We evaluate the efficiency of the
        current version of our tool on software-verification
        benchmarks from the literature, and compare it with
        other state-of-the-art model checkers.  CPAchecker
        is an open-source toolkit and publicly available.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{CAV11,
        author = {Dirk Beyer and M. Erkan Keremoglu},
        title = {{{\sc CPAchecker}}: A Tool for Configurable Software Verification},
        booktitle = {Proceedings of the 23rd International Conference on Computer Aided Verification (CAV~2011, Snowbird, UT, July 14-20)},
        editor = {G.~Gopalakrishnan and S.~Qadeer},
        pages = {184-190},
        year = {2011},
        series = {LNCS~6806},
        publisher = {Springer-Verlag, Heidelberg},
        isbn = {978-3-642-22109-5},
        doi = {10.1007/978-3-642-22110-1_16},
        sha256 = {0b9016de32b714f799da2cf19d3bf8f96cc33069db70beb2e22bbca07c58e2ee},
        url = {https://cpachecker.sosy-lab.org},
        abstract = {Configurable software verification is a recent concept for expressing different program analysis and model checking approaches in one single formalism.  This paper presents CPAchecker, a tool and framework that aims at easy integration of new verification components.  Every abstract domain, together with the corresponding operations, implements the interface of configurable program analysis (CPA).  The main algorithm is configurable to perform a reachability analysis on arbitrary combinations of existing CPAs.  In software verification, it takes a considerable amount of effort to convert a verification idea into actual experimental results --- we aim at accelerating this process.  We hope that researchers find it convenient and productive to implement new verification ideas and algorithms using this flexible and easy-to-extend platform, and that it advances the field by making it easier to perform practical experiments.  The tool is implemented in Java and runs as command-line tool or as Eclipse plug-in.  CPAchecker implements CPAs for several abstract domains.  We evaluate the efficiency of the current version of our tool on software-verification benchmarks from the literature, and compare it with other state-of-the-art model checkers.  CPAchecker is an open-source toolkit and publicly available.},
        keyword = {CPAchecker,Software Model Checking},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="FMCAD10">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><a href="../Author/KEREMOGLU-ME.html"><span class="firstname">M. Erkan</span> <span class="lastname">Keremoglu</span></a></span>, and
    <span class="author"><a href="../Author/WENDLER-P.html"><span class="firstname">Philipp</span> <span class="lastname">Wendler</span></a></span>.</span>
    <span class="publication-title">Predicate Abstraction with Adjustable-Block Encoding.</span>
    <span class="howpublished">
      In <em class="booktitle">  Proceedings of the 10th International Conference on
        Formal Methods in Computer-Aided Design
        (FMCAD 2010, Lugano, October 20-23)</em>,
      <span class="pages">pages 189-197</span>,
      <span class="publication-date">  <span class="year">2010</span></span>.
    </span>
    <span class="publisher">FMCAD.</span>
  </span>
  <a class="bibentry-link" href="#FMCAD10"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2010-FMCAD.Predicate_Abstraction_with_Adjustable-Block_Encoding.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="http://www.sosy-lab.org/~dbeyer/cpa-abe/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        Several successful software model checkers are based
        on a technique called single-block encoding (SBE),
        which computes costly predicate abstractions after
        every single program operation.  Large-block
        encoding (LBE) computes abstractions only after a
        large number of operations, and it was shown that
        this significantly improves the verification
        performance.  In this work, we present
        adjustable-block encoding (ABE), a unifying
        framework that allows to express both previous
        approaches.  In addition, it provides the
        flexibility to specify any block size between SBE
        and LBE, and also beyond LBE, through the adjustment
        of one single parameter.  Such a unification of
        different concepts makes it easier to understand the
        fundamental properties of the analysis, and makes
        the differences of the variants more explicit.  We
        evaluate different configurations on example C
        programs, and identify one that is currently the best.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{FMCAD10,
        author = {Dirk Beyer and M.~Erkan Keremoglu and Philipp Wendler},
        title = {Predicate Abstraction with Adjustable-Block Encoding},
        booktitle = {Proceedings of the 10th International Conference on Formal Methods in Computer-Aided Design (FMCAD~2010, Lugano, October 20-23)},
        pages = {189-197},
        year = {2010},
        publisher = {FMCAD},
        isbn = {},
        url = {http://www.sosy-lab.org/~dbeyer/cpa-abe/},
        pdf = {https://www.sosy-lab.org/research/pub/2010-FMCAD.Predicate_Abstraction_with_Adjustable-Block_Encoding.pdf},
        abstract = {Several successful software model checkers are based on a technique called single-block encoding (SBE), which computes costly predicate abstractions after every single program operation.  Large-block encoding (LBE) computes abstractions only after a large number of operations, and it was shown that this significantly improves the verification performance.  In this work, we present adjustable-block encoding (ABE), a unifying framework that allows to express both previous approaches.  In addition, it provides the flexibility to specify any block size between SBE and LBE, and also beyond LBE, through the adjustment of one single parameter.  Such a unification of different concepts makes it easier to understand the fundamental properties of the analysis, and makes the differences of the variants more explicit.  We evaluate different configurations on example C programs, and identify one that is currently the best.},
        keyword = {CPAchecker,Software Model Checking},
        annote = {Won the NRW Young Scientist Award 2010 in Dynamic Intelligent Systems},
        doinone = {DOI not available},
        }
        
      </div>
    </details>
    <details open class="annote">
      <summary>Additional Infos</summary>
      <div>
        Won the NRW Young Scientist Award 2010 in Dynamic Intelligent Systems
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="FMCAD09">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><span class="firstname">Alessandro</span> <span class="lastname">Cimatti</span></span>,
    <span class="author"><span class="firstname">Alberto</span> <span class="lastname">Griggio</span></span>,
    <span class="author"><a href="../Author/KEREMOGLU-ME.html"><span class="firstname">M. Erkan</span> <span class="lastname">Keremoglu</span></a></span>, and
    <span class="author"><span class="firstname">Roberto</span> <span class="lastname">Sebastiani</span></span>.</span>
    <span class="publication-title">Software Model Checking via Large-Block Encoding.</span>
    <span class="howpublished">
      In <em class="booktitle">  Proceedings of the 9th International Conference on
        Formal Methods in Computer-Aided Design
        (FMCAD 2009, Austin, TX, November 15-18)</em>,
      <span class="pages">pages 25-32</span>,
      <span class="publication-date">  <span class="year">2009</span></span>.
    </span>
    <span class="publisher">IEEE Computer Society Press, Los Alamitos (CA).</span>
    <a class="doi" href="https://doi.org/10.1109/FMCAD.2009.5351147" data-doi="10.1109/FMCAD.2009.5351147" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1109/FMCAD.2009.5351147</a>
  </span>
  <a class="bibentry-link" href="#FMCAD09"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1109/FMCAD.2009.5351147" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2009-FMCAD.Software_Model_Checking_via_Large-Block_Encoding.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        Several successful approaches to software verification
        are based on the construction and analysis of an
        abstract reachability tree (ART).  The ART represents
        unwindings of the control-flow graph of the program.
        Traditionally, a transition of the ART represents a
        single block of the program, and therefore, we call
        this approach single-block encoding (SBE).  SBE may
        result in a huge number of program paths to be
        explored, which constitutes a fundamental source of
        inefficiency.  We propose a generalization of the
        approach, in which transitions of the ART represent
        larger portions of the program; we call this approach
        large-block encoding (LBE).  LBE may reduce the number
        of paths to be explored up to exponentially.  Within
        this framework, we also investigate symbolic
        representations: for representing abstract states, in
        addition to conjunctions as used in SBE, we
        investigate the use of arbitrary Boolean formulas; for
        computing abstract-successor states, in addition to
        Cartesian predicate abstraction as used in SBE, we
        investigate the use of Boolean predicate abstraction.
        The new encoding leverages the efficiency of
        state-of-the-art SMT solvers, which can symbolically
        compute abstract large-block successors.  Our
        experiments on benchmark C programs show that the
        large-block encoding outperforms the single-block
        encoding.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{FMCAD09,
        author = {Dirk Beyer and Alessandro Cimatti and Alberto Griggio and  M.~Erkan Keremoglu and Roberto Sebastiani},
        title = {Software Model Checking via Large-Block Encoding},
        booktitle = {Proceedings of the 9th International Conference on Formal Methods in Computer-Aided Design (FMCAD~2009, Austin, TX, November 15-18)},
        pages = {25-32},
        year = {2009},
        publisher = {IEEE Computer Society Press, Los Alamitos~(CA)},
        isbn = {978-1-4244-4966-8},
        doi = {10.1109/FMCAD.2009.5351147},
        url = {},
        pdf = {https://www.sosy-lab.org/research/pub/2009-FMCAD.Software_Model_Checking_via_Large-Block_Encoding.pdf},
        abstract = {Several successful approaches to software verification are based on the construction and analysis of an abstract reachability tree (ART).  The ART represents unwindings of the control-flow graph of the program. Traditionally, a transition of the ART represents a single block of the program, and therefore, we call this approach single-block encoding (SBE).  SBE may result in a huge number of program paths to be explored, which constitutes a fundamental source of inefficiency.  We propose a generalization of the approach, in which transitions of the ART represent larger portions of the program; we call this approach large-block encoding (LBE).  LBE may reduce the number of paths to be explored up to exponentially.  Within this framework, we also investigate symbolic representations: for representing abstract states, in addition to conjunctions as used in SBE, we investigate the use of arbitrary Boolean formulas; for computing abstract-successor states, in addition to Cartesian predicate abstraction as used in SBE, we investigate the use of Boolean predicate abstraction. The new encoding leverages the efficiency of state-of-the-art SMT solvers, which can symbolically compute abstract large-block successors.  Our experiments on benchmark C programs show that the large-block encoding outperforms the single-block encoding.},
        keyword = {CPAchecker,Software Model Checking},
        }
        
      </div>
    </details>
  </span>
</li>

</ol>
 <section id="disclaimer"> <h4>Disclaimer:</h4> <p class="disclaimer"> This material is presented to ensure timely dissemination of scholarly and technical work. Copyright and all rights therein are retained by authors or by other copyright holders. All person copying this information are expected to adhere to the terms and constraints invoked by each author's copyright. In most cases, these works may not be reposted without the explicit permission of the copyright holder. </p> </section> <footer id="generator">This file was generated by <a href="https://gitlab.com/sosy-lab/software/pybib2web/">pybib2web</a>, version 0.7.dev0</footer>